package course

import (
	"github.com/pocketbase/pocketbase"
	"htwkalender/service/events"
	"log/slog"
	"strconv"
)

func UpdateCourse(app *pocketbase.PocketBase) {
	courses := events.GetAllCourses(app)
	for _, course := range courses {
		savedEvents, err := events.UpdateModulesForCourse(app, course)
		if err != nil {
			slog.Warn("Update Course: "+course+" failed: %v", err)
		} else {
			slog.Info("Updated Course: " + course + " with " + strconv.FormatInt(int64(len(savedEvents)), 10) + " events")
		}
	}
}
